Skip to content
Browse files

Don't require apt-get for RPM build.

This is based on #521
  • Loading branch information...
1 parent 80a3f1f commit 3ffb2f81919e5e1216bbc97a1c677f41695fe574 @kohsuke kohsuke committed Jul 26, 2012
Showing with 5 additions and 1 deletion.
  1. +5 −1 rpm/build.sh
View
6 rpm/build.sh
@@ -4,7 +4,11 @@ if [ -z "$1" ]; then
exit 1
fi
-sudo apt-get install -y rpm expect || true
+which rpm > /dev/null 2>&1
+if [ $? != 0 ]; then
+ sudo apt-get install -y rpm expect || true
+fi
+
# figure out the version to package
cp "$1" $(dirname $0)/SOURCES/jenkins.war

0 comments on commit 3ffb2f8

Please sign in to comment.
Something went wrong with that request. Please try again.